Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234312 - CVE-2007-0455 gd buffer overrun
Summary: CVE-2007-0455 gd buffer overrun
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gd
Version: 5.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 13:25 UTC by Ivana Varekova
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-21 11:43:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ivana Varekova 2007-03-28 13:25:57 UTC
+++ This bug was initially created as a clone of Bug #224607 +++

Kees Cook from Ubuntu reported a "off-the-end-of-string increment", which could
theoretically lead ot a buffer overflow.

This flaw would only be exploitable if a JIS-encoded font is used when
processing a special malicious string.

The issue here is that the NULL terminator is incremented, which could lead to
unknown results during the processing of the malicious string.

Index: gdft.c
===================================================================
RCS file: /repository/gd/libgd/gdft.c,v
retrieving revision 1.28
diff -u -p -r1.28 gdft.c
--- gdft.c      3 Jan 2007 21:21:21 -0000       1.28
+++ gdft.c      24 Jan 2007 23:00:55 -0000
@@ -1178,7 +1178,7 @@ fprintf(stderr,"dpi=%d,%d metric_res=%d 
                {
                  ch = c & 0xFF;        /* don't extend sign */
                }
-             next++;
+             if (*next) next++;
            }
            break;
          case gdFTEX_Big5:

-- Additional comment from bressers@redhat.com on 2007-01-26 12:44 EST --
This flaw does not affect gd as shipped in RHEL2.1 or RHEL3.

-- Additional comment from bressers@redhat.com on 2007-01-26 12:48 EST --
This flaw also affects RHEL5.  Once we can assign bugs to that version, I'll
move this from RHEL4.

Comment 3 Mark J. Cox 2007-08-21 11:43:51 UTC
closing, use #224607 for tracking this issue.  should we decide to have it fixed
in a future update we'll create tracking bugs with appropriate flags set.


Note You need to log in before you can comment on or make changes to this bug.